Listar contas
curl --request GET \
--url https://api.malvo.io/accounts \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/accounts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"page": 1,
"total": 2,
"totalPages": 1,
"results": [
{
"id": "a658c848-e475-457b-8565-d1fffba127c4",
"type": "BANK",
"subtype": "CHECKING_ACCOUNT",
"number": "0001/12345-0",
"name": "Conta Corrente",
"marketingName": "GOLD Conta Corrente",
"balance": 120950,
"balanceAvailable": true,
"balanceUpdatedAt": "2026-07-19T12:00:00.000Z",
"itemId": "a0922d6f-2007-4169-a181-b961500608db",
"taxNumber": "416.799.495-00",
"owner": "John Doe",
"currencyCode": "BRL",
"bankData": {
"transferNumber": "0001/12345-0",
"closingBalance": 120950,
"automaticallyInvestedBalance": 100,
"overdraftContractedLimit": 0,
"overdraftUsedLimit": 0,
"unarrangedOverdraftAmount": 0
}
},
{
"id": "a658c848-e475-457b-8565-d1fffba127c4",
"type": "CREDIT",
"subtype": "CREDIT_CARD",
"number": "xxxx8670",
"name": "Mastercard Black",
"marketingName": "BANCO EXEMPLO MASTERCARD BLACK",
"balance": 120950,
"balanceAvailable": true,
"balanceUpdatedAt": "2026-07-19T12:00:00.000Z",
"itemId": "a0922d6f-2007-4169-a181-b961500608db",
"taxNumber": "416.799.495-00",
"owner": "John Doe",
"currencyCode": "BRL",
"creditData": {
"level": "BLACK",
"brand": "MASTERCARD",
"balanceCloseDate": "2022-01-03",
"balanceDueDate": "2022-01-03",
"availableCreditLimit": 200000,
"balanceForeignCurrency": 0,
"minimumPayment": 16190,
"creditLimit": 300000,
"status": "ACTIVE",
"holderType": "MAIN"
}
}
]
}{
"code": 400,
"message": "itemId should not be null or undefined, itemId must be a UUID"
}{
"code": 500,
"codeDescription": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Accounts
Listar contas
Recupera todas as contas coletadas para o item informado.
GET
/
accounts
Listar contas
Authorizations
Chave de API obrigatória em todas as rotas.
Query Parameters
Identificador primário do item.
Filtra entre contas bancárias e contas de crédito.
Available options:
BANK, CREDIT Response
Envelope paginado com a lista de contas.
Envelope de paginação por página (page-based). O campo results é especializado por endpoint.
⌘I